Bug 1677559 - gNFS crashed when processing "gluster v profile [vol] info nfs"
Summary: gNFS crashed when processing "gluster v profile [vol] info nfs"
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: GlusterFS
Classification: Community
Component: nfs
Version: mainline
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
Assignee: bugs@gluster.org
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 1684777
TreeView+ depends on / blocked
 
Reported: 2019-02-15 08:50 UTC by hujianfei
Modified: 2019-06-25 13:26 UTC (History)
2 users (show)

Fixed In Version: glusterfs-6.x
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1684777 (view as bug list)
Environment:
Last Closed: 2019-06-25 13:26:12 UTC
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Gluster.org Gerrit 22232 None Merged glusterfsd: Do not process PROFILE_NFS_INFO if graph is not ready 2019-02-19 16:33:04 UTC

Description hujianfei 2019-02-15 08:50:08 UTC
Description of problem:
when processing "gluster v profile [vol] info nfs" after gnfs start, gnfs will crash.

dump trace info:
/lib64/libglusterfs.so.0(_gf_msg_backtrace_nomem+0xc2)[0x7fcf5cb6a872]
/lib64/libglusterfs.so.0(gf_print_trace+0x324)[0x7fcf5cb743a4]
/lib64/libc.so.6(+0x35670)[0x7fcf5b1d5670]
/usr/sbin/glusterfs(glusterfs_handle_nfs_profile+0x114)[0x7fcf5d066474]
/lib64/libglusterfs.so.0(synctask_wrap+0x12)[0x7fcf5cba1502]
/lib64/libc.so.6(+0x47110)[0x7fcf5b1e7110]

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.create dht volume naming dht_vol,and start the vol
2.start volume profile
3.kill gnfs process
4.process cli "service glusterd restart;gluster volume profile dht_vol info nfs"

Actual results:


Expected results:


Additional info:

Comment 1 Worker Ant 2019-02-19 08:18:45 UTC
REVIEW: https://review.gluster.org/22232 (glusterfsd: Do not process PROFILE_NFS_INFO if graph is not ready) posted (#1) for review on master by Hu Jianfei

Comment 2 Worker Ant 2019-02-19 16:33:05 UTC
REVIEW: https://review.gluster.org/22232 (glusterfsd: Do not process PROFILE_NFS_INFO if graph is not ready) merged (#2) on master by Amar Tumballi

Comment 3 Worker Ant 2019-02-19 17:10:07 UTC
REVIEW: https://review.gluster.org/22235 (glusterfsd: Do not process PROFILE_NFS_INFO if graph is not ready) posted (#1) for review on release-6 by Amar Tumballi

Comment 4 Worker Ant 2019-03-02 11:59:30 UTC
REVISION POSTED: https://review.gluster.org/22235 (glusterfsd: Do not process PROFILE_NFS_INFO if graph is not ready) posted (#2) for review on release-6 by Shyamsundar Ranganathan


Note You need to log in before you can comment on or make changes to this bug.